summaryrefslogtreecommitdiffstats
path: root/gitmirror
diff options
context:
space:
mode:
authorH. Peter Anvin <hpa@zytor.com>2016-02-22 01:00:54 -0800
committerH. Peter Anvin <hpa@zytor.com>2016-02-22 01:00:54 -0800
commit66f55312360796595f3241d97a1435c534b1b3e0 (patch)
treeb9b24a2ff475240d21da6e9fccb6d6b6fb22c9f7 /gitmirror
parent0ec3dda50b27125bde32c39d97b2f7de5378477d (diff)
downloadnasmbuild-66f55312360796595f3241d97a1435c534b1b3e0.tar.gz
nasmbuild-66f55312360796595f3241d97a1435c534b1b3e0.tar.xz
nasmbuild-66f55312360796595f3241d97a1435c534b1b3e0.zip
gitmirror/robot.sh: update handling of repository mirror
Diffstat (limited to 'gitmirror')
-rwxr-xr-xgitmirror/robot.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/gitmirror/robot.sh b/gitmirror/robot.sh
index b8c4579..6de60e0 100755
--- a/gitmirror/robot.sh
+++ b/gitmirror/robot.sh
@@ -4,6 +4,7 @@
MAILTO='nasm-cvs@lists.sourceforge.net'
SENDER='nasmbuild@nasm.us'
MASTER="$HOME/gitmirror/nasm.git"
+MIRROR="/pub/git/nasm/nasm.git"
# /usr/sbin needed for sendmail
export PATH=/bin:/usr/bin:/usr/local/bin:/usr/sbin:$HOME/bin
@@ -19,7 +20,9 @@ date=$(date -uR)
cd "$MASTER"
git fetch -f
- git push -f --mirror zytor
+
+ cd "$MIRROR"
+ git fetch -f
cd "$topdir"
@@ -32,7 +35,7 @@ date=$(date -uR)
( cd "$slave" && "$topdir"/filter-branches.pl ) > branches
(
while read branch; do
- GIT_DIR="$MASTER" git rev-parse "$branch"'^{}'
+ GIT_DIR="$MASTER" git rev-parse --verify -q "$branch"'^{}' || true
done
) < branches > branches.heads
sha1sum branches.heads > branches.id.new